# eric5.E5Network.E5SslInfoWidget

Module implementing a widget to show SSL information.

### Global Attributes

None

### Classes

E5SslInfoWidget | Class implementing a widget to show SSL certificate infos.

### Functions

None

## E5SslInfoWidget

Class implementing a widget to show SSL certificate infos.

### Derived from

QMenu

### Class Attributes

None

### Class Methods

None

### Methods

E5SslInfoWidget | Constructor
__showCertificateInfos | Private slot to show certificate information.
accept | Public method to accept the widget.
showAt | Public method to show the widget.

### Static Methods

None

#### E5SslInfoWidget (Constructor)

E5SslInfoWidget(url, configuration, parent=None)

Constructor

url
  URL to show SSL info for (QUrl)
configuration
  SSL configuration (QSslConfiguration)
parent
  reference to the parent widget (QWidget)

#### E5SslInfoWidget.__showCertificateInfos

__showCertificateInfos()

Private slot to show certificate information.

#### E5SslInfoWidget.accept

accept()

Public method to accept the widget.

#### E5SslInfoWidget.showAt

showAt(pos)

Public method to show the widget.

pos
  position to show at (QPoint)

Up